using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("附件表")]
    public class T_FO_FIRE_JOB_MONITOR_FILE : MesEntityBase
    {
        [Description("动火作业")]
        [DataFieldForeignKey("Nav_Job", "Nav_MonitorFiles")]
        public Guid FIRE_JOB_ID { get; set; }

        [Description("导航属性：动火作业")]
        public virtual T_FO_FIRE_JOB Nav_Job { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
